The Blazor [Spinner](https://www.syncfusion.com/blazor-components/blazor-spinner?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget) is a loading indicator that denotes long-running tasks with no information about their progress. The component provides circular progress indicators without any interaction capabilities.

### Key Features:

* **Built-in types** - Five built-in, theme-based spinners are available.
* **Labels** - Gives additional, meaningful information about the task.
* **Various sizes** - Adjusts the size of the Spinner.
* **Templates** - Creates a customized Blazor Spinner.
* **Visibility** - Controls visibility using two-way binding and asynchronous methods.
* **Customization** - Customizes default appearance by overriding its color and stroke width. 

## Related links
[Learn More about Blazor Spinner component](https://www.syncfusion.com/blazor-components/blazor-spinner?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/spinner/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.44/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/spinner/overview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20Spinner%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-spinner-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.